.wapper-modal {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  z-index: 10;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: rgba(255, 255, 255, 0.9);
  .close-modal-btn {
    position: absolute;
    top: 5%;
    right: 5%;
    font-size: 2rem;
    transition: all 0.2s linear;
    &:hover {
      color: rgb(249, 62, 62);
    }
  }
  .modal-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    .modal-title {
      font-size: 1.5rem;
      font-weight: 600;
      margin-bottom: 1.5rem;
    }
    .modal-message {
      font-size: 1.1rem;
      margin-bottom: 2.5rem;
    }
    .modal-button-group {
      display: flex;
      align-items: center;
      gap: 0 5rem;
      .modal-button {
        width: 6rem;
        height: 2rem;
        border-radius: 2px;
        transition: all 0.2s linear;
      }
      .cancel {
        background: rgb(161, 157, 157);
        color: black;
        &:hover {
          background-color: rgb(195, 192, 192);
        }
      }
      .confirm {
        background-color: rgb(244, 84, 84);
        color: white;
        &:hover {
          background-color: rgb(245, 52, 52);
        }
      }
    }
  }
}
